---
lang: en
title: 'API docs: context.interceptorbindingoptions'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.interceptorbindingoptions.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [InterceptorBindingOptions](./context.interceptorbindingoptions.md)

## InterceptorBindingOptions interface

Options for an interceptor binding

**Signature:**

```typescript
export interface InterceptorBindingOptions extends BindingFromClassOptions 
```
**Extends:** [BindingFromClassOptions](./context.bindingfromclassoptions.md)

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[global?](./context.interceptorbindingoptions.global.md)


</td><td>


</td><td>

boolean


</td><td>

_(Optional)_ Global or local interceptor


</td></tr>
<tr><td>

[group?](./context.interceptorbindingoptions.group.md)


</td><td>


</td><td>

string


</td><td>

_(Optional)_ Group name for a global interceptor


</td></tr>
<tr><td>

[source?](./context.interceptorbindingoptions.source.md)


</td><td>


</td><td>

string \| string\[\]


</td><td>

_(Optional)_ Source filter for a global interceptor


</td></tr>
</tbody></table>

